Bug 1829656 - Failed to register 4.3 host to 4.4 engine with 4.3 cluster (4.4.0-0.33.master.el8ev)
Summary: Failed to register 4.3 host to 4.4 engine with 4.3 cluster (4.4.0-0.33.master...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 4.4.0
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: ovirt-4.4.1
: ---
Assignee: Dana
QA Contact: cshao
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-04-30 02:08 UTC by cshao
Modified: 2020-08-04 13:23 UTC (History)
19 users (show)

Fixed In Version: ovirt-engine-4.4.0.3
Doc Type: Known Issue
Doc Text:
Known issue: Unsubscribed RHVH hosts do not get package updates when you perform a 'Check for upgrade' operation. Instead, you get a 'no updates found' message. This happens because RHVH hosts that are not registered to Red Hat Subscription Management (RHSM) do not have repos enabled. Workaround: To get updates, register the RHVH host with Red Hat Subscription Management (RHSM).
Clone Of:
Environment:
Last Closed: 2020-08-04 13:22:48 UTC
oVirt Team: Infra
Target Upstream Version:
delfassy: needinfo-


Attachments (Terms of Use)
RHVH log (811.65 KB, application/gzip)
2020-04-30 02:14 UTC, cshao
no flags Details
engine.log (3.25 MB, application/gzip)
2020-04-30 02:15 UTC, cshao
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:3247 0 None None None 2020-08-04 13:23:02 UTC
oVirt gerrit 108873 0 master MERGED engine: change 'state: latest' to 'state: present' in yum tasks 2020-10-16 06:13:06 UTC

Description cshao 2020-04-30 02:08:21 UTC
Description of problem:
Failed to register 4.3 host to 4.4 engine with 4.3 cluster (4.4.0-0.33.master.el8ev)

Host installation failed. Task Install latest ovirt-host package failed to execute


Version-Release number of selected component (if applicable):
Host: redhat-virtualization-host-4.3.10-20200427.0.el7_8
vdsm-4.30.45-1.el7ev.x86_64

Engine: 4.4.0-0.33.master.el8ev


4.3 host:
# rpm -qa | grep ovirt-host-deploy
python2-ovirt-host-deploy-1.8.5-1.el7ev.noarch
ovirt-host-deploy-common-1.8.5-1.el7ev.noarch

4.4 engine:
# rpm -qa | grep ovirt-host-deploy
#

How reproducible:
100%

Steps to Reproduce:
1. Install RHVH-4.3-20200427.0-RHVH-x86_64-dvd1.iso via anaconda GUI.
2. Register 4.3 host to 4.4 engine with 4.3 cluster (4.4.0-0.33.master.el8ev)
3.

Actual results:
Failed to register 4.3 host to 4.4 engine with 4.3 cluster 

Expected results:
Register 4.3 host to engine 4.4 can succeed.

Additional info:

Comment 1 cshao 2020-04-30 02:14:40 UTC
Created attachment 1683158 [details]
RHVH log

Comment 2 cshao 2020-04-30 02:15:31 UTC
Created attachment 1683159 [details]
engine.log

Comment 3 Sandro Bonazzola 2020-04-30 06:46:49 UTC
Chen, looking at host deploy logs looks like the host wasn't registered, no repositories available.
Can you confirm?

Comment 4 cshao 2020-04-30 07:31:38 UTC
(In reply to Sandro Bonazzola from comment #3)
> Chen, looking at host deploy logs looks like the host wasn't registered, no
> repositories available.
> Can you confirm?

Sandro,

You are right, after RHVH registered, host can up. Is this necessary steps for register 4.3 host to 4.4 engine?
If so, I'd like close this bug as NOT A BUG.

Comment 5 Sandro Bonazzola 2020-04-30 14:51:45 UTC
(In reply to cshao from comment #4)
> (In reply to Sandro Bonazzola from comment #3)
> > Chen, looking at host deploy logs looks like the host wasn't registered, no
> > repositories available.
> > Can you confirm?
> 
> Sandro,
> 
> You are right, after RHVH registered, host can up. Is this necessary steps
> for register 4.3 host to 4.4 engine?
> If so, I'd like close this bug as NOT A BUG.

We used to have an offline deploy mode provided by ovirt-host-deploy, I don't know enough well the ansible implementation of the deploy flow.
Dana, is the subscription now a must have? If so, can you open a doc bug to cover it?

Comment 6 Martin Perina 2020-05-01 15:45:55 UTC
(In reply to Sandro Bonazzola from comment #5)
> (In reply to cshao from comment #4)
> > (In reply to Sandro Bonazzola from comment #3)
> > > Chen, looking at host deploy logs looks like the host wasn't registered, no
> > > repositories available.
> > > Can you confirm?
> > 
> > Sandro,
> > 
> > You are right, after RHVH registered, host can up. Is this necessary steps
> > for register 4.3 host to 4.4 engine?
> > If so, I'd like close this bug as NOT A BUG.
> 
> We used to have an offline deploy mode provided by ovirt-host-deploy, I
> don't know enough well the ansible implementation of the deploy flow.
> Dana, is the subscription now a must have? If so, can you open a doc bug to
> cover it?

I'm not aware of any offline deploy mode in classic host deploy. I remember that RHVH could be registered into engine using some UI/command line on RHVH itself, but administrators still need to perform Install/Reinstall on those nodes to become operational.

Comment 7 RHEL Program Management 2020-05-07 09:17:04 UTC
The documentation text flag should only be set after 'doc text' field is provided. Please provide the documentation text and set the flag to '?' again.

Comment 8 Michal Skrivanek 2020-05-07 12:19:44 UTC
so what is it that breaks it, actually?

Comment 9 Martin Perina 2020-05-07 12:23:47 UTC
For some unknown reason we are supporting RHVH installation without any subscription attached. We have updated host deploy to support that (no checks about updates), but check-for-upgrade will just be broken for those RHVHs and will always show errors during check for upgrade.

Comment 10 Dana 2020-05-07 12:56:02 UTC
With the current implementation of check for updates the task doesn't result with an error, but with 'no updates found' message regardless of existing updates

Comment 11 Sandro Bonazzola 2020-06-05 07:06:57 UTC
$ git tag --contains d3b6b07d4c00b7bcbfbab27ad842a5346c600a75
ovirt-engine-4.4.0.3
ovirt-engine-4.4.1
ovirt-engine-4.4.1.1
ovirt-engine-4.4.1.2

Comment 15 cshao 2020-06-16 05:21:53 UTC
Test version:
redhat-virtualization-host-4.3.11-20200611.0.el7_9
engine: 4.4.1.1-0.5.el8ev


Register 4.3 host to 4.4 engine with 4.3 cluster can succeed, so the bug is fixed. Change bug status to VERIFIED.

Comment 20 Dana 2020-06-29 08:07:22 UTC
I just fixed a typo in the description
Regarding the doc type - it is sort of a combination - the bug of not being able to register the host was fixed by not attempting to download updated packages, and then there's the known issue which is described well, so I suppose it could be either

Comment 22 errata-xmlrpc 2020-08-04 13:22:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: RHV Manager (ovirt-engine) 4.4 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:3247


Note You need to log in before you can comment on or make changes to this bug.